Alembic Version 1.1

Public Member Functions | Public Attributes | List of all members
Alembic::Util::ALEMBIC_VERSION_NS::Digest Struct Reference

`#include <Digest.h>`

Inheritance diagram for Alembic::Util::ALEMBIC_VERSION_NS::Digest:
[legend]
Collaboration diagram for Alembic::Util::ALEMBIC_VERSION_NS::Digest:
[legend]

## Public Member Functions
| Digest ()
| Digest (const Digest &copy)
Digest & | operator= (const Digest &copy)
uint8_t & | operator[] (size_t i)
uint8_t | operator[] (size_t i) const
void | print (std::ostream &ostr) const
std::string | str () const
bool | operator== (const Digest &iRhs) const
bool | operator< (const Digest &iRhs) const

## Public Attributes
union {
uint8_t d [16]
uint64_t words [2]
}; |

## Detailed Description

Definition at line 50 of file Digest.h.

## Constructor & Destructor Documentation

## ◆ Digest() [1/2]

Alembic::Util::ALEMBIC_VERSION_NS::Digest::Digest | ( |  | ) |
| inline

Definition at line 58 of file Digest.h.

References words.

## ◆ Digest() [2/2]

Alembic::Util::ALEMBIC_VERSION_NS::Digest::Digest | ( | const Digest & | copy | ) |
| inline

Definition at line 59 of file Digest.h.

References words.

## Member Function Documentation

## ◆ operator<()

bool Alembic::Util::ALEMBIC_VERSION_NS::Digest::operator< | ( | const Digest & | iRhs | ) | const
| inline

Definition at line 100 of file Digest.h.

References words.

## ◆ operator=()

Digest & Alembic::Util::ALEMBIC_VERSION_NS::Digest::operator= | ( | const Digest & | copy | ) |
| inline

Definition at line 65 of file Digest.h.

References words.

## ◆ operator==()

bool Alembic::Util::ALEMBIC_VERSION_NS::Digest::operator== | ( | const Digest & | iRhs | ) | const
| inline

Definition at line 94 of file Digest.h.

References words.

## ◆ operator[]() [1/2]

uint8_t & Alembic::Util::ALEMBIC_VERSION_NS::Digest::operator[] | ( | size_t | i | ) |
| inline

Definition at line 72 of file Digest.h.

References d.

## ◆ operator[]() [2/2]

uint8_t Alembic::Util::ALEMBIC_VERSION_NS::Digest::operator[] | ( | size_t | i | ) | const
| inline

Definition at line 73 of file Digest.h.

References d.

## ◆ print()

void Alembic::Util::ALEMBIC_VERSION_NS::Digest::print | ( | std::ostream & | ostr | ) | const
| inline

Definition at line 75 of file Digest.h.

References d.

Referenced by Alembic::Util::ALEMBIC_VERSION_NS::operator<<(), and str().

Here is the caller graph for this function:

## ◆ str()

std::string Alembic::Util::ALEMBIC_VERSION_NS::Digest::str | ( |  | ) | const
| inline

Definition at line 84 of file Digest.h.

References print().

Here is the call graph for this function:

## Member Data Documentation

## ◆

union { ... } Alembic::Util::ALEMBIC_VERSION_NS::Digest::@1

## ◆ d

uint8_t Alembic::Util::ALEMBIC_VERSION_NS::Digest::d[16]

Definition at line 54 of file Digest.h.

Referenced by operator[](), and print().

## ◆ words

uint64_t Alembic::Util::ALEMBIC_VERSION_NS::Digest::words[2]

Definition at line 55 of file Digest.h.

Referenced by Digest(), operator<(), operator=(), and operator==().

The documentation for this struct was generated from the following file:

- opt/local/include/Alembic/Util/Digest.h